package com.ruoyi.school.course.domain.req.course;

import com.ruoyi.core.api.APIBaseResponse;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.math.BigDecimal;

/**
 * 录入课程
 *
 * @author ：zhangbaoyu
 * @date ：Created in 2020/7/8 20:34
 */
@Data
public class ReqAddScCourse {

    /**
     * 课程名
     */
    private String courseName;

    /**
     * 课程类型
     */
    private Long courseTypeId;

    /**
     * 教学模式
     */
    private String teachingMode;

    /**
     * 课程简介
     */
    private String courseIntro;

    /**
     * 上课校区 所有 或 部分 all part
     */
    private String courseCampus;

    /**
     * 上课校区
     */
    private Long[] partCampus;

    /**
     * 教练课时费
     */
    private BigDecimal claFee;

    private BigDecimal tuitionFee;


    private String remark;

    private Integer star;
    /**
     * 参数校验
     *
     * @return
     */
    public APIBaseResponse checkParam() {
        if (StringUtils.isEmpty(courseName)) {
            return APIBaseResponse.fail("请输入课程名称");
        } else if (StringUtils.isEmpty(teachingMode)) {
            return APIBaseResponse.fail("请选择教学模式");
        }

        if (StringUtils.isEmpty(courseCampus)) {
            return APIBaseResponse.fail("请选择上课校区");
        }
        if ("部分校区".equals(courseCampus) && null == partCampus) {
            return APIBaseResponse.fail("请选择上课校区");
        }
        if ("部分校区".equals(courseCampus) && partCampus.length == 0) {
            return APIBaseResponse.fail("请选择上课校区");
        }
        if ("全部校区".equals(courseCampus) ) {
            partCampus=null;
        }
        return APIBaseResponse.success();
    }
}
